Summary		: CUPS backend for the Canon BJNP network printers 
Name		: cups-bjnp
Version		: 2.0.1
Release		: 2%{?dist}
License		: GPLv2+
Source		: http://downloads.sourceforge.net/cups-bjnp/cups-bjnp-%{version}.tar.gz
Group		: System Environment/Daemons
URL		: https://sourceforge.net/projects/cups-bjnp/

# cups is required so we can check that the backend directory is really correct
BuildRequires:	gcc
BuildRequires: 	cups
BuildRequires:	cups-devel
Requires: cups

%global cups_backend_dir %{_exec_prefix}/lib/cups/backend
%description
This package contains a backend for CUPS for Canon printers using the 
proprietary BJNP network protocol.

%prep
%setup -q

%build
%configure --prefix=%{_exec_prefix} --with-cupsbackenddir=%{cups_backend_dir} --disable-Werror
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install

%clean
rm -Rf $RPM_BUILD_ROOT
 
%files
%{cups_backend_dir}/bjnp
%doc COPYING ChangeLog TODO NEWS README README.levels

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Louis Lagendijk <llagendijk@users.sourceforge.net> - 2.0.1-1
- New release changed to GPLv2+. Added BR gcc. No other changes

* Thu Jan 07 2016 Louis Lagendijk <llagendijk@users.sourceforge.net> - 2.0-4
- removed defattr
- corrected previous changelog entry that had incorrect version

* Thu Jan 07 2016 Louis Lagendijk <llagendijk@users.sourceforge.net> - 2.0-3
- Fixed specfile to use global instead of define

* Sat Sep 06 2014 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.9.2-1
- New upstream release 2.0
- Adds ink level reporting
- improved printer error handling

* Sat Apr 12 2014 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.9.2-1
- New upstream release 1.9.2
- Simplified error handling

* Sat Mar 29 2014 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.9.1-1
- New upstream release 1.9.1
- fixes out of paper reporting
- Fixes an incompatibility with xml status reports from newer printers

* Thu Mar 20 2014 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.9.0-1
- New upstream release 1.9.0
- Adds ink-level reporting
- improved out-of-paper handling 

* Wed Jan 22 2014  Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.2.2-1
- new upstream release 1.2.2
- Fix crash with newer printers that send an xml-document for printer status
- Fix possible buffer overflow on response buffer

* Sat Feb 23 2013 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.2.1-1
  New upstream release. Fixes hang with MX270 and possibly other printers (bug
  introduced with version 1.1)

* Tue Nov 27 2012 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.2-1
- new upstream release 1.2, fixes compilation error on EL6

* Sat Sep 29 2012 Louis Lagendijk <llagendijk@users.sourceforge.net> - 1.1-1
- New upstream release 1.1
- Fixes "Failed to read side channel" error message
- Supports printing over IPv6
